## xum1541cfg-10.4.tar.gz

=== xum1541cfg/LINUX/Makefile ===
DFU_SRC= dfu-programmer-0.5.4/src

CFLAGS= -g -I /opt/local/include -I/opt/local/include/libusb-legacy -I $(DFU_SRC) -Wall -isysroot /Developer/SDKs/MacOSX10.4u.sdk -framework IOKit -framework CoreFoundation
LDFLAGS= -L/opt/local/lib -lusb

OBJS= main.o util.o
OBJS+= $(DFU_SRC)/arguments.o $(DFU_SRC)/atmel.o $(DFU_SRC)/commands.o $(DFU_SRC)/dfu.o $(DFU_SRC)/intel_hex.o $(DFU_SRC)/util.o

%.o: %.c
	$(CC) $(CFLAGS) -c -o $@ $<

xum1541cfg: $(OBJS)
	$(CC) $(CFLAGS) -o $@ $(OBJS) $(LDFLAGS)

clean:
	rm -f $(OBJS) xum1541cfg

=== Portfile ===
# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
# $Id: Portfile,v 1.4 2011/01/23 13:27:31 cnvogelg Exp $

PortSystem          1.0

name                xum1541cfg
version             10
revision            1
categories          emulators
license             GPL
maintainers         vogelgsang.org:chris

description         xum1541cfg ZoomFloppy Adapter Flash Upgrade Utility
long_description    This tool allows you to upgrade the firmware of your \
					ZoomFloppy adapter
platforms           darwin
homepage            http://www.root.org/~nate/c64/xum1541/

depends_lib         port:libusb-compat

master_sites        http://www.root.org/~nate/c64/
distfiles           xum1541cfg.tar.gz
worksrcdir          xum1541cfg

checksums           md5 95ff8d9bcf953600285276352aa5d52b \
                    sha1 b41e718f9b79662b27ec4b02443a4bb65b9dcc02

use_configure       no

build.cmd           make -f LINUX/Makefile
build.target		xum1541cfg

destroot {
	xinstall -m 755 -W ${worksrcpath} xum1541cfg ${destroot}${prefix}/bin
}

livecheck.type      none
